#
# Conditional build:
%bcond_with	tests	# perform "make test" (require a working X connection)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadLine-Gnu
Summary:	Term::ReadLine::Gnu - Perl interface for the GNU Readline/History library
Summary(pl.UTF-8):	Term::ReadLine::Gnu - perlowy interfejs do biblioteki GNU Readline/History
Name:		perl-Term-ReadLine-Gnu
Version:	1.20
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/HAYASHI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fa33510193b89a2ada74fcef00816322
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Term-ReadLine-Gnu/
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(Term::ReadLine::Gnu::XS)
Obsoletes:	perl-Term-Readline-Gnu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ReadLine::Gnu Perl module is an implementation of the interface
to the GNU Readline Library. This module gives you input line editing
facility, input history management facility, word completion facility,
etc. It uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and so
on with Perl. This may be useful for prototyping before programming
with C.

%description -l pl.UTF-8
Moduł Perla Term::ReadLine::Gnu jest implementacją interfejsu do
biblioteki GNU Readline. Udostępnia linię wprowadzania tekstu z
możliwością edycji, zarządzania historią, automatycznym dopełnianiem
itp. Używa biblioteki GNU Readline, ma interfejs do prawie wszystkich
zmiennych i funkcji bibliotek Readline i History - można więc
oprogramować własne funkcje edycji, dopełniania itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags} -DPERL_POLLUTE"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	CC="%{__cc}" \
	DESTDIR=$RPM_BUILD_ROOT

rm -f eg/*.orig
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorarch}/Term/ReadLine
%{perl_vendorarch}/Term/ReadLine/Gnu*
%dir %{perl_vendorarch}/auto/Term/ReadLine
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadLine/Gnu/Gnu.so
# empty autosplit.ix, but requred
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS
%{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS/autosplit.ix
%{_mandir}/man3/Term::ReadLine::Gnu.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Term-ReadLine-Gnu.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ccb8e5d
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4b40bfe
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> aa73c05
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 91bc247
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 33136c6
- updated to 1.20

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> abf201e
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 39f38c8
- release 2

* Fri Apr 17 2009 radek <radek@pld-linux.org> c80ffb1
- version 1.19

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 618421f
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3006d68
- generic URL
- informative summaries

* Sun Mar 02 2008 radek <radek@pld-linux.org> 7888d55
- release 2: uncomment the paths.patch

* Sun Mar 02 2008 radek <radek@pld-linux.org> a16f08e
- updated for 1.17a

* Sun Mar 02 2008 radek <radek@pld-linux.org> 05ff1e8
- version 1.17a

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 103b039
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> ece509a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3d083aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 727d2cb
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> e732cab
- ver. 1.16

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> aab20fa
- new readline, 5.0

* Fri Dec 03 2004 radek <radek@pld-linux.org> d01b987
- autoupdated to 1.15

